Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PreliminaryUploadFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.PreliminaryUploadFile

Enclosing class:
  TdApi

public static final class TdApi.PreliminaryUploadFile extends TdApi.Function<TdApi.File>
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. Updates updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it is sent in a message.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputFile`
`file`
File to upload.
`TdApi.FileType`
`fileType`
File type; pass null if unknown.
`int`
`priority`
Priority of the upload (1-32).

## Constructor Summary

Constructors
Constructor
Description
`PreliminaryUploadFile()`
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes.
`PreliminaryUploadFile(TdApi.InputFile file, TdApi.FileType fileType, int priority)`
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes.
`PreliminaryUploadFile(DataInput input)`
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### file

public TdApi.InputFile file
File to upload.

### fileType

public TdApi.FileType fileType
File type; pass null if unknown.

### priority

public int priority
Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which preliminaryUploadFile was called will be uploaded first.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PreliminaryUploadFile

public PreliminaryUploadFile()
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. Updates updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it is sent in a message.

Returns `File`

### PreliminaryUploadFile

public PreliminaryUploadFile(TdApi.InputFile file, TdApi.FileType fileType, int priority)
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. Updates updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it is sent in a message.

Returns `File`

Parameters:
  `file` - File to upload.
  `fileType` - File type; pass null if unknown.
  `priority` - Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which preliminaryUploadFile was called will be uploaded first.

  Returns `File`

### PreliminaryUploadFile

public PreliminaryUploadFile(DataInput input) throws IOException
Preliminary uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. Updates updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it is sent in a message.

Returns `File`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`